TK1Kelompok7/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('home.urls'), namespace='home')),
    path('dataprov/', include(('dataprov.urls', 'dataprov'), namespace='dataprov')),
    path('donasi/', include(('donasi.urls'),namespace='donasi')),
    path('rumahsakit/',include(('rumahsakit.urls'), namespace='rumahsakit')),
]

home/urls.py
from django.urls import path
from . import views

app_name = 'home'

urlpatterns = [
    path('', views.home_views, name='home'),
]

rumahsakit/urls.py
from django.urls import path

from . import views

app_name = 'rumahsakit'

urlpatterns = [
    path('', views.rumahsakit, name = 'rumahsakit'),
    path('tambah', views.tambah, name = 'tambah'),
    path('hospital', views.hospital, name = 'hospital'),
    path('helpcenter', views.helpcenter, name = 'helpcenter'),
    path('lokasi/<int:id>/', views.filterlokasi, name = 'filterlokasi')
]

rumahsakit/models.py
from django.db import models

class Rumahsakit(models.Model):
    choice = (
        ('Rumah Sakit', 'Rumah Sakit'),
        ('Help Center', 'Help Center')
    )

    lokasi = (
        ('Bandung', 'Bandung'),
        ('Depok', 'Depok'),
        ('Jakarta', 'Jakarta'),
        ('Surabaya', 'Surabaya'),
        ('Tangerang', 'Tangerang')
    )
    jenis = models.CharField(max_length=20, choices = choice, null = True )
    nama = models.CharField(max_length = 200, null = True)
    lokasi = models.CharField(max_length = 200, null = True, choices = lokasi)
    waktu = models.CharField(max_length = 200, null = True)
    notelp = models.CharField(max_length = 200, null = True)
    website = models.URLField(max_length = 200, null = True)
    maps = models.URLField(max_length = 100000, null = True)
    link_foto = models.URLField(max_length= 100000, null = True)
    def __str__(self):
        return self.nama 

rumahsakit/forms.py
from .models import Rumahsakit
from django import forms

class RumahsakitForm(forms.ModelForm):
    class Meta:
        model = Rumahsakit
        fields = '__all__'

rumahsakit/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .models import *
from .forms import *

def rumahsakit(request):
    rumahsakit = Rumahsakit.objects.all()

    context = {
        'data' : rumahsakit
    }
    return render(request, 'template/rumahsakit.html', context)

def tambah(request):
    jenis = request.POST.get('jenis', None)
    nama = request.POST.get('nama', None)
    lokasi = request.POST.get('lokasi',None)
    waktu = request.POST.get('waktu', None)
    notelp = request.POST.get('notelp', None)
    website = request.POST.get('website', None)
    maps = request.POST.get('maps', None)
    foto = request.POST.get('foto', None)

    Rumahsakit.objects.create(jenis = jenis, nama = nama, lokasi = lokasi, waktu = waktu, notelp = notelp, website = website, maps = maps, link_foto = foto)
    return redirect('/rumahsakit')

def hospital(request):
    jenis_tempat = Rumahsakit.objects.filter(jenis = 'Rumah Sakit') #Kalo error ganti jadi one
    jumlah = jenis_tempat.count()
    
    context = {
        'data': jenis_tempat,
        'jenis': 'Rumah Sakit',
        'jumlah': jumlah
    }

    return render(request, 'template/rumahsakit.html', context)

def helpcenter(request):
    jenis_tempat = Rumahsakit.objects.filter(jenis = 'Help Center') #Kalo error ganti jadi two
    jumlah = jenis_tempat.count()
    
    context = {
        'data': jenis_tempat,
        'jenis': 'Help Center',
        'jumlah': jumlah
    }

    return render(request, 'template/rumahsakit.html', context)

def filterlokasi(request, id):
    if id == 1:  
        jenis_tempat = Rumahsakit.objects.filter(lokasi = 'Bandung')
        lokasi = "Bandung"
    elif id == 2:
        jenis_tempat = Rumahsakit.objects.filter(lokasi = 'Depok')
        lokasi = "Depok"
    elif id == 3:
        jenis_tempat = Rumahsakit.objects.filter(lokasi = 'Jakarta')
        lokasi = "Jakarta"
    elif id == 4:
        jenis_tempat = Rumahsakit.objects.filter(lokasi = 'Surabaya')
        lokasi = "Surabaya"
    else:
        jenis_tempat = Rumahsakit.objects.filter(lokasi = 'Tangerang')
        lokasi = "Tangerang"

    jumlah = jenis_tempat.count()
    
    context = {
        'data': jenis_tempat,
        'lokasi': lokasi,
        'jumlah': jumlah
    }

    return render(request, 'template/rumahsakit.html', context)

rumahsakit/templates/template/rumahsakit.html
{% extends "base.html" %}
{% load static %}
<head>
{%block app_css%}
    <link rel="stylesheet" href="{% static 'rumahsakit.css' %}">
{%endblock app_css%}
    <title>Rumah Sakit & Help Center</title>
</head>
    {%block content%}
    <div class="page-header">
        <h1>Rumah Sakit & Help Center</h1>
    </div>
    <div class="container-xl">
        <div class="location-select">
                <div class="filter">
                    <p>Filter berdasarkan lokasi</p>
                    <div class="dropdown">
                        <a class="btn dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <img src="{% static 'img/location_on_24px.svg' %}" alt="">  
                        Pilih lokasi
                        </a>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                          <a class="dropdown-item" href="{%url 'rumahsakit:filterlokasi' 1%}">Bandung</a>
                          <a class="dropdown-item" href="{%url 'rumahsakit:filterlokasi' 2%}">Depok</a>
                          <a class="dropdown-item" href="{%url 'rumahsakit:filterlokasi' 3%}">Jakarta</a>
                          <a class="dropdown-item" href="{%url 'rumahsakit:filterlokasi' 4%}">Surabaya</a>
                          <a class="dropdown-item" href="{%url 'rumahsakit:filterlokasi' 5%}">Tangerang</a>
                        </div>
                    </div>
            </div>
        </div>
        <div class="selector">
            <div class="row align-items-center">
                <a href="{% url 'rumahsakit:hospital' %}" class="text-decoration-none"><div class="left">
                    <img src="{% static 'img/hospital.svg' %}">
                    <p>Rumah Sakit</p>
                </div></a>
                <a href="{% url 'rumahsakit:helpcenter' %}" class="text-decoration-none"><div class="right">
                    <img src="{% static 'img/call_24px.svg' %}">
                    <p>Help Center</p>
                </div></a>
                <a href="#" class="text-decoration-none" data-toggle="modal" data-target="#tambahData"><div class="right">
                    <img src="{% static 'img/add_circle_24px.svg' %}">
                    <p style="color:#007AFF">Tambah Data</p>
                </div></a>
            </div>
        </div>
        {%if lokasi%}
        <p class = "status">Menampilkan <b>{{jumlah}}</b> tempat di <b>{{lokasi}}</b></p>
        {% elif jenis %}
        <p class = "status">Menampilkan <b>{{jumlah}}</b> tempat <b>{{jenis}}</b></p>
        {%endif%}
        <div class="row">
            {%for i in data%}
            <div class="col-sm-4">
                <div class="rs-card">
                    <div class="image">
                        <img src="{{ i.link_foto }}">
                    </div>
                    <div class="content">
                        <h3>{{i.nama}}</h3>
                        <div class="details">
                            <img src="{% static 'img/location_on_24px.svg' %}" alt="">
                            <p>{{ i.lokasi }}</p>
                        </div>
                        <div class="details">
                            <img src="{% static 'img/access_time_24px.svg' %}" alt="">
                            <p>{{ i.waktu }}</p>
                        </div>
                        <div class="details">
                            <img src="{% static 'img/call_24px_2nd.svg' %}" alt="">
                            <p>{{ i.notelp }}</p>
                        </div>
                        <div class="details">
                            <img src="{% static 'img/world-wide-web 1.svg' %}" alt="">
                            <div class="urlfield">
                                <a href="{{i.website}}"><p>{{ i.website }}</p></a>
                            </div>
                        </div>
                        <a href="{{ i.maps }}" class="text-decoration-none">
                            <div class="maps-button">
                                <img src="{% static 'img/near_me_24px.svg' %}" alt="">
                                <h4>Buka Maps</h4>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
            {%endfor%}
        </div>
    </div>
    <div class="modal fade" id="tambahData" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Tambah Data</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form action="{% url 'rumahsakit:tambah' %}" method="post">
                {% csrf_token %}
                <div class="form-group">
                    <label for="jenis">Jenis Tempat:</label><br>
                    <select name="jenis" id="jenis" class = "custom-select">
                        <option selected value="Rumah Sakit">Rumah Sakit</option>
                        <option value="Help Center">Help Center</option>
                    </select>    
                </div>
                <div class="form-group">
                    <label for="nama">Nama Tempat:</label><br>
                    <input type="text" class="form-control" id="nama" name="nama" placeholder="Masukkan nama tempat">    
                </div>
                <div class="form-group">
                    <label for="lokasi" class="col-form-label">Lokasi:</label><br>
                    <select name="lokasi" id="lokasi" class = "custom-select">
                        <option value="Bandung">Bandung</option>
                        <option value="Depok">Depok</option>
                        <option value="Jakarta">Jakarta</option>
                        <option value="Surabaya">Surabaya</option>
                        <option value="Tangerang">Tangerang</option>
                    </select>    
                </div>
                <div class="form-group">
                    <label for="waktu" class="col-form-label">Waktu Buka:</label><br>
                    <input type="text" class="form-control" id="waktu" name="waktu" placeholder="Contoh: 24 Jam, Senin-Jumat, Sabtu-Minggu">
                </div>
                <div class="form-group">
                    <label for="notelp" class="col-form-label">Nomor telepon:</label><br>
                    <input type="text" class="form-control" id="notelp" name="notelp" placeholder="Contoh: 0812 345 678">
                </div>
                <div class="form-group">
                    <label for="website" class="col-form-label">Website:</label><br>
                    <input type="text" class="form-control" id="website" name="website" placeholder="Contoh: https://www.rumahsakit.com">
                </div>
                <div class="form-group">
                    <label for="website" class="col-form-label">Link Google Maps:</label><br>
                    <input type="text" class="form-control" id="maps" name="maps" placeholder="Contoh: https://maps.google.com/rumahsakit">
                </div>
                <div class="form-group">
                    <label for="foto" class="col-form-label">Link Foto:</label><br>
                    <input type="text" class="form-control" id="foto" name="foto" placeholder = "Contoh: https://photosite.com/photo1.png">    
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Batal</button>
              <button type="submit" class="btn btn-primary">Tambah</button>
            </div>
            </form>
          </div>
        </div>
    </div>
    <div id="page-content">
        <div class="container text-center">
        <div class="row justify-content-center">
            <div class="col-md-7">
            <h1 class="font-weight-light mt-4 text-white"></h1>
            <p class="lead text-white-50"></p>
            </div>
        </div>
        </div>
    </div>

    <!-- bootstrap scripts -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>
    {%endblock%}